#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from distutils.core import setup

setup(
    name = "tk2048",
    version = "1.0-beta",
    requires = ["Tkinter"],
    description = "tk2048 - Python3-Tkinter port of Gabriele Cirulli's 2048 famous Game",
    author = "Raphaël SEBAN",
    author_email = "motus@laposte.net",
    maintainer = "Raphaël SEBAN",
    maintainer_email = "motus@laposte.net",
    url = "https://github.com/tarball69/tk2048",
    download_url = "https://github.com/tarball69/tk2048",
    keywords = ["tkinter", "game", "2048"],
    classifiers = [
        "Development Status :: 4 - Beta",
        "Environment :: Other Environment",
        "Environment :: Win32 (MS Windows)",
        "Environment :: X11 Applications",
        "Environment :: X11 Applications :: Gnome",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: OSI Approved",
        "License :: OSI Approved :: GNU General Public License (GPL)",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Natural Language :: English",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
        "Operating System :: OS Independent",
        "Operating System :: POSIX",
        "Operating System :: POSIX :: Linux",
        "Programming Language :: Python",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.2",
        "Programming Language :: Python :: 3.3",
        "Programming Language :: Python :: 3.4",
        "Topic :: Games/Entertainment",
        "Topic :: Games/Entertainment :: Board Games",
        "Topic :: Games/Entertainment :: Puzzle Games",
    ],
    license = """
Licensed under GNU General Public License v3.
    """,
    long_description = """

tk2048 - Python3-Tkinter port of Gabriele Cirulli's 2048 Game.

## Copyright

Copyright (c) 2014 Raphaël Seban <motus@laposte.net>

## License

This software is licensed under **GNU GPL General Public License v3**.

## BUG REPORT

In order to **track bugs** and fix them correctly, we'd like to hear
from you.

**If you encountered any problem** during the use of `tk2048`,
please leave us a comment and tell us:

* environment:
    * which platform? (Windows, macOS, Linux)
    * which Python version? (2.7+, 3.2+)
    * which tk2048 version?
    * tkinter installed correctly? (yes/no)

* traceback (optional):
    * could you copy/paste the console error text, please?
    * could you tell us few words about what happened?

**Whatever happened**, we'd like to know about it.

You will find an open issue **"It did *NOT* work for me!"** at:

https://github.com/tarball69/tk2048/issues/1

**Thank you for contributing** to make `tk2048` a cool game for
everyone.

"""
)
